Bug 67786 - Automated tests for translated strings needed
Summary: Automated tests for translated strings needed
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Andras Timar
URL:
Whiteboard: target:4.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-05 12:24 UTC by Andras Timar
Modified: 2018-09-16 15:56 UTC (History)
0 users

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andras Timar 2013-08-05 12:24:31 UTC
There are cases, when incorrectly translated strings cause run-time problems. We need a tool that checks .po files for identical translations where they have to be unique. 

Function names in Calc have to be unique. 
translations/source/*/formula/source/core/resource.po RID_STRLIST_FUNCTION_NAMES
translations/source/*/scaddins/source/pricing.po RID_PRICING_FUNCTION_NAMES
translations/source/*/scaddins/source/analysis.po RID_ANALYSIS_FUNCTION_NAMES
translations/source/*/scaddins/source/datefunc.po RID_DATE_FUNCTION_NAMES

Style names in Writer have to be unique.
translations/source/*/sw/source/ui/utlui.po STR_POOLNUMRULE_ and STR_POOLCOLL_

We need a utility that can generate a report which can be sent to translators. l10ntools/ module contains po file handling classes.
Comment 1 Commit Notification 2013-08-20 12:38:01 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=72576f439ad3eebc6947a50070f1ffabe2964b32

fdo#67786 pocheck tool for checking translations



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.